import { IntegrationApi } from '../types';
export declare function getAgent({ connectionId, agent, apis, logger, }: {
    connectionId: string;
    agent: Record<string, any>;
    apis: Record<string, IntegrationApi>;
    logger: any;
}): Promise<{
    agent: import("openai/resources/beta/assistants").Assistant & {
        _request_id?: string | null;
    };
    initializeThread: (messages?: import("openai/resources/beta/threads/threads").ThreadCreateParams.Message[]) => Promise<import("openai/resources/beta/threads/threads").Thread & {
        _request_id?: string | null;
    }>;
    listMessages: ({ threadId }: {
        threadId: string;
    }) => Promise<import("openai/resources/beta/threads/messages").MessagesPage>;
    getRun: ({ threadId, runId, }: {
        threadId: string;
        runId: string;
    }) => Promise<import("openai/resources/beta/threads/runs/runs").Run & {
        _request_id?: string | null;
    }>;
    handleRunStatus: ({ threadId, run, }: {
        run: import("openai/resources/beta/threads/runs/runs").Run;
        threadId: string;
    }) => Promise<any>;
    handleRequiresAction: ({ threadId, run, }: {
        threadId: string;
        run: import("openai/resources/beta/threads/runs/runs").Run;
    }) => Promise<any>;
    createUserMessage: ({ threadId, content, }: {
        threadId: string;
        content: string;
    }) => Promise<import("openai/resources/beta/threads/messages").Message & {
        _request_id?: string | null;
    }>;
    watchRun: ({ runId, threadId, }: {
        runId?: string;
        threadId: string;
    }) => Promise<any>;
} | (({ prompt }: {
    prompt: string;
}) => Promise<import("ai").StreamTextResult<{}>>) | (({ prompt }: {
    prompt: string;
}) => Promise<import("ai").GenerateTextResult<{}>>) | undefined>;
export * from './utils';
export * from './vector-sync';
export * from './openai/assistant';
export * from './vercel';
//# sourceMappingURL=index.d.ts.map