import { Mastra } from '../framework';
import { IntegrationApi } from '../types';
export declare function executeIndexSync({ event, mastra }: any): Promise<void>;
export declare function executeGenericVectorSync({ event, mastra }: any): Promise<void>;
export declare function executeVectorSync({ event, mastra }: any): Promise<void>;
export declare function vectorQueryEngine({ vector_provider, topK, indexName, content, entityType, }: {
    vector_provider: string;
    indexName: string;
    content: string;
    entityType: string;
    topK?: number;
}): Promise<import("@pinecone-database/pinecone").QueryResponse<import("@pinecone-database/pinecone").RecordMetadata> | undefined>;
export interface VectorIndex {
    name: string;
    host: string;
    metric: string;
    dimension: number;
    namespaces?: string[];
}
export interface VectorStats {
    namespaces: Record<string, {
        vectorCount: number;
    }>;
}
export declare const getPineconeIndices: () => Promise<VectorIndex[]>;
export declare function getVectorQueryApis({ mastra, }: {
    mastra: Mastra;
}): IntegrationApi[];
export declare function agentVectorSyncEvent(): {
    id: string;
    event: string;
    executor: typeof executeVectorSync;
};
export declare function genericVectorySyncEvent(): {
    id: string;
    event: string;
    executor: typeof executeGenericVectorSync;
};
export declare function vectorIndexSync(): {
    id: string;
    event: string;
    executor: typeof executeIndexSync;
};
export declare function syncAndWriteVectorProviderIndexesToLocal({ mastra, }: {
    mastra: Mastra;
}): Promise<void>;
//# sourceMappingURL=vector-sync.d.ts.map