import { PropertyType } from '@prisma-app/client';
/**
 * Split a string on commas and strip quotes from each part
 * @param str input string
 * @returns array of strings
 */
export declare const splitAndStripQuotes: (str: string) => string[];
export declare const transformFilterValueArray: (value: string | undefined) => string[] | undefined;
export declare const transformFilterValueBoolean: (value: string | undefined) => boolean | undefined;
/**
 * This returns the SQL field for a JSON field with appropriate casting.
 * @param column - JSON field to cast.
 * @param type - Type of the JSON field.
 */
export declare const getJSONField: (column: string, type: PropertyType) => string;
/**
 * @description
 * Builds a query string from filter and sort query strings
 * @param filterQueryString Filter query string
 * @param sortQueryString Sort query string
 * @returns
 */
export declare function buildQueryString({ filterQueryString, sortQueryString, }: {
    filterQueryString?: string;
    sortQueryString?: string;
}): string;
//# sourceMappingURL=utils.d.ts.map