import { z } from 'zod';
export declare const connectParams: z.ZodObject<{
    name: z.ZodString;
    connectionId: z.ZodString;
    clientRedirectPath: z.ZodDefault<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    name: string;
    connectionId: string;
    clientRedirectPath: string;
}, {
    name: string;
    connectionId: string;
    clientRedirectPath?: string | undefined;
}>;
export declare const oauthState: z.ZodObject<z.objectUtil.extendShape<{
    name: z.ZodString;
    connectionId: z.ZodString;
    clientRedirectPath: z.ZodDefault<z.ZodOptional<z.ZodString>>;
}, {
    previewRedirect: z.ZodOptional<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    name: string;
    connectionId: string;
    clientRedirectPath: string;
    previewRedirect?: string | undefined;
}, {
    name: string;
    connectionId: string;
    clientRedirectPath?: string | undefined;
    previewRedirect?: string | undefined;
}>;
export declare const callbackParams: z.ZodObject<{
    state: z.ZodEffects<z.ZodObject<z.objectUtil.extendShape<{
        name: z.ZodString;
        connectionId: z.ZodString;
        clientRedirectPath: z.ZodDefault<z.ZodOptional<z.ZodString>>;
    }, {
        previewRedirect: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        name: string;
        connectionId: string;
        clientRedirectPath: string;
        previewRedirect?: string | undefined;
    }, {
        name: string;
        connectionId: string;
        clientRedirectPath?: string | undefined;
        previewRedirect?: string | undefined;
    }>, {
        name: string;
        connectionId: string;
        clientRedirectPath: string;
        previewRedirect?: string | undefined;
    }, unknown>;
    error: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    state: {
        name: string;
        connectionId: string;
        clientRedirectPath: string;
        previewRedirect?: string | undefined;
    };
    error?: string | undefined;
}, {
    state?: unknown;
    error?: string | undefined;
}>;
export declare const webhookQueryParams: z.ZodObject<{
    event: z.ZodString;
    name: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: string;
    event: string;
}, {
    name: string;
    event: string;
}>;
export declare const apiKeyConnectionOptions: z.ZodObject<{
    apiKey: z.ZodString;
}, "strip", z.ZodTypeAny, {
    apiKey: string;
}, {
    apiKey: string;
}>;
export declare const cronQueryParams: z.ZodObject<{
    event: z.ZodString;
    data: z.ZodOptional<z.ZodString>;
    integrationName: z.ZodString;
}, "strip", z.ZodTypeAny, {
    event: string;
    integrationName: string;
    data?: string | undefined;
}, {
    event: string;
    integrationName: string;
    data?: string | undefined;
}>;
//# sourceMappingURL=schemas.d.ts.map