import { prisma } from '../prisma/client';
import { PrismaClient } from '@prisma-app/client';
export declare class PropertyService<T extends typeof prisma> {
    db: PrismaClient;
    constructor({ db }: {
        db: T;
    });
    getPropertiesByEntityType({ entityType, }: {
        entityType: string;
    }): Promise<{
        id: string;
        name: string;
        displayName: string;
        visible: boolean;
        config: import("@prisma-app/client/runtime/library").JsonValue | null;
        description: string | null;
        type: import("@prisma-app/client").$Enums.PropertyType;
        order: number;
        modifiable: boolean;
        parentId: string | null;
        entityId: string | null;
    }[]>;
}
export declare const propertyService: PropertyService<(url: string) => PrismaClient>;
//# sourceMappingURL=service.property.d.ts.map