import { prisma } from '../prisma/client';
import { PrismaClient } from '@prisma-app/client';
import { PropertyService } from './service.property';
import { FilterObject } from '../lib/query-builder/types';
export declare class RecordService<T extends typeof prisma> {
    db: PrismaClient;
    propertyService: PropertyService<T>;
    constructor({ db }: {
        db: T;
    });
    buildRecordQuerySql({ whereClause, filterClause, sortClauses, entityType, }: {
        whereClause: string;
        filterClause?: string;
        entityType: string;
        sortClauses: string[];
    }): string;
    getFilteredRecords<T extends string | number | symbol>({ entityType, k_id, filters, sort, }: {
        entityType: string;
        filters?: FilterObject<T>;
        sort?: string[];
        k_id: string;
    }): Promise<any>;
}
export declare const recordService: RecordService<(url: string) => PrismaClient>;
//# sourceMappingURL=service.record.d.ts.map