import { z } from 'zod';
import { SchemaFieldOptions } from '../types';
export * from './text';
/**
 * Extract schema options for the provided schema - Builds a map of fieldname to field options
 * @param schema - schema
 * @param dataCtx - data context - this is an object of options for each field that isn't enum (meaning string fields) but should have options
 * @returns schema options
 * */
export declare function extractSchemaOptions({ schema, dataCtx, }: {
    schema: z.ZodObject<any>;
    dataCtx?: Record<string, SchemaFieldOptions>;
}): Record<string, SchemaFieldOptions>;
export declare const delay: (ms: number) => Promise<unknown>;
//# sourceMappingURL=index.d.ts.map