import { z } from 'zod';
import { ActionVariables, Blueprint, WorkflowConditionGroup } from './types';
import { IntegrationApi, IntegrationContext, IntegrationEvent } from '../types';
import { Logger } from '../lib/logger-utils/logger';
export declare function evaluateCondition({ c, dataCtx, schema, triggerId, }: {
    c: WorkflowConditionGroup;
    dataCtx: any;
    schema: z.ZodSchema<unknown>;
    triggerId?: string;
}): boolean;
export declare function resolveSchemaPath({ currentPath, schema, targetPath, finalMap, }: {
    currentPath: string;
    schema: any;
    targetPath: string;
    finalMap: Record<string, any>;
}): z.ZodSchema<unknown> | undefined;
export declare function replacePayloadVariables({ value, stringContainingVariables, variable, }: {
    value: string;
    stringContainingVariables: string | string[];
    variable: string;
}): string | string[];
export declare function resolveCondition({ c, dataCtx, schema, triggerId, }: {
    c: WorkflowConditionGroup;
    dataCtx: any;
    triggerId?: string;
    schema: z.ZodSchema<unknown>;
}): boolean | undefined;
export declare function resolvePath({ path, replacementDataPayload, }: {
    path: string;
    replacementDataPayload: any;
}): any;
export declare function resolvePayload({ payload, dataContext, variables, parentKey, }: {
    payload: any;
    dataContext: any;
    variables?: Record<string, ActionVariables | undefined>;
    parentKey?: string;
}): Record<string, any>;
export declare function blueprintRunner({ ctx, dataCtx, blueprint, frameworkEvents, frameworkApis, logger, }: {
    dataCtx: any;
    ctx: IntegrationContext;
    blueprint: Blueprint;
    frameworkApis: Record<string, IntegrationApi<any>>;
    frameworkEvents: Record<string, IntegrationEvent<any>>;
    logger: Logger;
}): Promise<void>;
//# sourceMappingURL=runner.d.ts.map