import { z } from 'zod';
declare const baseConditionSchema: z.ZodObject<{
    id: z.ZodOptional<z.ZodString>;
    field: z.ZodOptional<z.ZodString>;
    operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
        readonly EQUAL: "EQUAL";
        readonly NOT_EQUAL: "NOT_EQUAL";
        readonly CONTAINS: "CONTAINS";
        readonly IS: "IS";
        readonly IS_NOT: "IS_NOT";
        readonly NOT_CONTAINS: "NOT_CONTAINS";
        readonly IS_ANY_OF: "IS_ANY_OF";
        readonly GREATER_THAN: "GREATER_THAN";
        readonly LESS_THAN: "LESS_THAN";
        readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
        readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
        readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
        readonly SET: "SET";
        readonly NOT_SET: "NOT_SET";
    }>, z.ZodLiteral<"">]>>;
    value: z.ZodOptional<z.ZodUnknown>;
    blockId: z.ZodOptional<z.ZodString>;
    actionId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id?: string | undefined;
    field?: string | undefined;
    operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
    value?: unknown;
    blockId?: string | undefined;
    actionId?: string | undefined;
}, {
    id?: string | undefined;
    field?: string | undefined;
    operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
    value?: unknown;
    blockId?: string | undefined;
    actionId?: string | undefined;
}>;
type Condition = z.infer<typeof baseConditionSchema> & {
    and?: Condition[];
    or?: Condition[];
};
export declare const conditionSchema: z.ZodType<Condition>;
export declare const logicConditionSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodOptional<z.ZodString>;
    field: z.ZodOptional<z.ZodString>;
    operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
        readonly EQUAL: "EQUAL";
        readonly NOT_EQUAL: "NOT_EQUAL";
        readonly CONTAINS: "CONTAINS";
        readonly IS: "IS";
        readonly IS_NOT: "IS_NOT";
        readonly NOT_CONTAINS: "NOT_CONTAINS";
        readonly IS_ANY_OF: "IS_ANY_OF";
        readonly GREATER_THAN: "GREATER_THAN";
        readonly LESS_THAN: "LESS_THAN";
        readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
        readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
        readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
        readonly SET: "SET";
        readonly NOT_SET: "NOT_SET";
    }>, z.ZodLiteral<"">]>>;
    value: z.ZodOptional<z.ZodUnknown>;
    blockId: z.ZodOptional<z.ZodString>;
    actionId: z.ZodOptional<z.ZodString>;
}, {
    and: z.ZodOptional<z.ZodLazy<z.ZodArray<z.ZodObject<{
        id: z.ZodOptional<z.ZodString>;
        field: z.ZodOptional<z.ZodString>;
        operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
            readonly EQUAL: "EQUAL";
            readonly NOT_EQUAL: "NOT_EQUAL";
            readonly CONTAINS: "CONTAINS";
            readonly IS: "IS";
            readonly IS_NOT: "IS_NOT";
            readonly NOT_CONTAINS: "NOT_CONTAINS";
            readonly IS_ANY_OF: "IS_ANY_OF";
            readonly GREATER_THAN: "GREATER_THAN";
            readonly LESS_THAN: "LESS_THAN";
            readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
            readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
            readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
            readonly SET: "SET";
            readonly NOT_SET: "NOT_SET";
        }>, z.ZodLiteral<"">]>>;
        value: z.ZodOptional<z.ZodUnknown>;
        blockId: z.ZodOptional<z.ZodString>;
        actionId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }, {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }>, "many">>>;
    or: z.ZodOptional<z.ZodLazy<z.ZodArray<z.ZodObject<{
        id: z.ZodOptional<z.ZodString>;
        field: z.ZodOptional<z.ZodString>;
        operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
            readonly EQUAL: "EQUAL";
            readonly NOT_EQUAL: "NOT_EQUAL";
            readonly CONTAINS: "CONTAINS";
            readonly IS: "IS";
            readonly IS_NOT: "IS_NOT";
            readonly NOT_CONTAINS: "NOT_CONTAINS";
            readonly IS_ANY_OF: "IS_ANY_OF";
            readonly GREATER_THAN: "GREATER_THAN";
            readonly LESS_THAN: "LESS_THAN";
            readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
            readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
            readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
            readonly SET: "SET";
            readonly NOT_SET: "NOT_SET";
        }>, z.ZodLiteral<"">]>>;
        value: z.ZodOptional<z.ZodUnknown>;
        blockId: z.ZodOptional<z.ZodString>;
        actionId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }, {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }>, "many">>>;
    blockId: z.ZodString;
    actionId: z.ZodString;
    isDefault: z.ZodOptional<z.ZodBoolean>;
}>, "strip", z.ZodTypeAny, {
    blockId: string;
    actionId: string;
    id?: string | undefined;
    field?: string | undefined;
    operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
    value?: unknown;
    and?: {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }[] | undefined;
    or?: {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }[] | undefined;
    isDefault?: boolean | undefined;
}, {
    blockId: string;
    actionId: string;
    id?: string | undefined;
    field?: string | undefined;
    operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
    value?: unknown;
    and?: {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }[] | undefined;
    or?: {
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        blockId?: string | undefined;
        actionId?: string | undefined;
    }[] | undefined;
    isDefault?: boolean | undefined;
}>;
export declare const PayloadFieldTypeEnum: {
    readonly VARIABLE: "variable";
    readonly STATIC: "static";
};
export declare const actionPayloadValueSchema: z.ZodAny;
export declare const actionPayloadSchema: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
export declare const actionVariableSchema: z.ZodRecord<z.ZodString, z.ZodObject<{
    refBlockId: z.ZodString;
    path: z.ZodString;
}, "strip", z.ZodTypeAny, {
    path: string;
    refBlockId: string;
}, {
    path: string;
    refBlockId: string;
}>>;
declare const baseActionSchema: z.ZodObject<{
    id: z.ZodString;
    type: z.ZodString;
    description: z.ZodOptional<z.ZodString>;
    payload: z.ZodOptional<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    condition: z.ZodUnion<[z.ZodOptional<z.ZodType<Condition, z.ZodTypeDef, Condition>>, z.ZodOptional<z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodOptional<z.ZodString>;
        field: z.ZodOptional<z.ZodString>;
        operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
            readonly EQUAL: "EQUAL";
            readonly NOT_EQUAL: "NOT_EQUAL";
            readonly CONTAINS: "CONTAINS";
            readonly IS: "IS";
            readonly IS_NOT: "IS_NOT";
            readonly NOT_CONTAINS: "NOT_CONTAINS";
            readonly IS_ANY_OF: "IS_ANY_OF";
            readonly GREATER_THAN: "GREATER_THAN";
            readonly LESS_THAN: "LESS_THAN";
            readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
            readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
            readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
            readonly SET: "SET";
            readonly NOT_SET: "NOT_SET";
        }>, z.ZodLiteral<"">]>>;
        value: z.ZodOptional<z.ZodUnknown>;
        blockId: z.ZodOptional<z.ZodString>;
        actionId: z.ZodOptional<z.ZodString>;
    }, {
        and: z.ZodOptional<z.ZodLazy<z.ZodArray<z.ZodObject<{
            id: z.ZodOptional<z.ZodString>;
            field: z.ZodOptional<z.ZodString>;
            operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
                readonly EQUAL: "EQUAL";
                readonly NOT_EQUAL: "NOT_EQUAL";
                readonly CONTAINS: "CONTAINS";
                readonly IS: "IS";
                readonly IS_NOT: "IS_NOT";
                readonly NOT_CONTAINS: "NOT_CONTAINS";
                readonly IS_ANY_OF: "IS_ANY_OF";
                readonly GREATER_THAN: "GREATER_THAN";
                readonly LESS_THAN: "LESS_THAN";
                readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
                readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
                readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
                readonly SET: "SET";
                readonly NOT_SET: "NOT_SET";
            }>, z.ZodLiteral<"">]>>;
            value: z.ZodOptional<z.ZodUnknown>;
            blockId: z.ZodOptional<z.ZodString>;
            actionId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }>, "many">>>;
        or: z.ZodOptional<z.ZodLazy<z.ZodArray<z.ZodObject<{
            id: z.ZodOptional<z.ZodString>;
            field: z.ZodOptional<z.ZodString>;
            operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
                readonly EQUAL: "EQUAL";
                readonly NOT_EQUAL: "NOT_EQUAL";
                readonly CONTAINS: "CONTAINS";
                readonly IS: "IS";
                readonly IS_NOT: "IS_NOT";
                readonly NOT_CONTAINS: "NOT_CONTAINS";
                readonly IS_ANY_OF: "IS_ANY_OF";
                readonly GREATER_THAN: "GREATER_THAN";
                readonly LESS_THAN: "LESS_THAN";
                readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
                readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
                readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
                readonly SET: "SET";
                readonly NOT_SET: "NOT_SET";
            }>, z.ZodLiteral<"">]>>;
            value: z.ZodOptional<z.ZodUnknown>;
            blockId: z.ZodOptional<z.ZodString>;
            actionId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }>, "many">>>;
        blockId: z.ZodString;
        actionId: z.ZodString;
        isDefault: z.ZodOptional<z.ZodBoolean>;
    }>, "strip", z.ZodTypeAny, {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }, {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }>, "many">>]>;
    parentActionId: z.ZodOptional<z.ZodString>;
    variables: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
        refBlockId: z.ZodString;
        path: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        path: string;
        refBlockId: string;
    }, {
        path: string;
        refBlockId: string;
    }>>>>>;
}, "strip", z.ZodTypeAny, {
    id: string;
    type: string;
    description?: string | undefined;
    payload?: Record<string, any> | undefined;
    condition?: Condition | {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }[] | undefined;
    parentActionId?: string | undefined;
    variables?: Record<string, Record<string, {
        path: string;
        refBlockId: string;
    }> | undefined> | undefined;
}, {
    id: string;
    type: string;
    description?: string | undefined;
    payload?: Record<string, any> | undefined;
    condition?: Condition | {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }[] | undefined;
    parentActionId?: string | undefined;
    variables?: Record<string, Record<string, {
        path: string;
        refBlockId: string;
    }> | undefined> | undefined;
}>;
type Action = z.infer<typeof baseActionSchema> & {
    subActions: Action[];
};
export declare const actionSchema: z.ZodType<Action>;
export declare const triggerSchema: z.ZodObject<{
    id: z.ZodString;
    type: z.ZodString;
    description: z.ZodOptional<z.ZodString>;
    payload: z.ZodOptional<z.ZodObject<{
        value: z.ZodUnknown;
    }, "strip", z.ZodTypeAny, {
        value?: unknown;
    }, {
        value?: unknown;
    }>>;
    condition: z.ZodOptional<z.ZodType<Condition, z.ZodTypeDef, Condition>>;
}, "strip", z.ZodTypeAny, {
    id: string;
    type: string;
    description?: string | undefined;
    payload?: {
        value?: unknown;
    } | undefined;
    condition?: Condition | undefined;
}, {
    id: string;
    type: string;
    description?: string | undefined;
    payload?: {
        value?: unknown;
    } | undefined;
    condition?: Condition | undefined;
}>;
export declare const runSchema: z.ZodObject<{
    id: z.ZodString;
    status: z.ZodNativeEnum<{
        readonly PENDING: "PENDING";
        readonly RUNNING: "RUNNING";
        readonly COMPLETED: "COMPLETED";
        readonly FAILED: "FAILED";
    }>;
    blueprintId: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodOptional<z.ZodDate>;
    completedAt: z.ZodOptional<z.ZodDate>;
    failedAt: z.ZodOptional<z.ZodDate>;
}, "strip", z.ZodTypeAny, {
    id: string;
    status: "PENDING" | "RUNNING" | "COMPLETED" | "FAILED";
    blueprintId: string;
    createdAt: Date;
    updatedAt?: Date | undefined;
    completedAt?: Date | undefined;
    failedAt?: Date | undefined;
}, {
    id: string;
    status: "PENDING" | "RUNNING" | "COMPLETED" | "FAILED";
    blueprintId: string;
    createdAt: Date;
    updatedAt?: Date | undefined;
    completedAt?: Date | undefined;
    failedAt?: Date | undefined;
}>;
export declare const blueprintSchema: z.ZodObject<{
    id: z.ZodString;
    title: z.ZodString;
    description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNativeEnum<{
        readonly DRAFT: "DRAFT";
        readonly UNPUBLISHED: "UNPUBLISHED";
        readonly PUBLISHED: "PUBLISHED";
    }>;
    trigger: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        type: z.ZodString;
        description: z.ZodOptional<z.ZodString>;
        payload: z.ZodOptional<z.ZodObject<{
            value: z.ZodUnknown;
        }, "strip", z.ZodTypeAny, {
            value?: unknown;
        }, {
            value?: unknown;
        }>>;
        condition: z.ZodOptional<z.ZodType<Condition, z.ZodTypeDef, Condition>>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    }, {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    }>>;
    actions: z.ZodArray<z.ZodType<Action, z.ZodTypeDef, Action>, "many">;
    ownerId: z.ZodString;
    workspaceId: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodOptional<z.ZodDate>;
}, "strip", z.ZodTypeAny, {
    id: string;
    status: "DRAFT" | "UNPUBLISHED" | "PUBLISHED";
    createdAt: Date;
    title: string;
    trigger: {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    } | null;
    actions: Action[];
    ownerId: string;
    workspaceId: string;
    description?: string | null | undefined;
    updatedAt?: Date | undefined;
}, {
    id: string;
    status: "DRAFT" | "UNPUBLISHED" | "PUBLISHED";
    createdAt: Date;
    title: string;
    trigger: {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    } | null;
    actions: Action[];
    ownerId: string;
    workspaceId: string;
    description?: string | null | undefined;
    updatedAt?: Date | undefined;
}>;
export declare const createBlueprintSchema: z.ZodObject<Omit<{
    id: z.ZodString;
    title: z.ZodString;
    description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNativeEnum<{
        readonly DRAFT: "DRAFT";
        readonly UNPUBLISHED: "UNPUBLISHED";
        readonly PUBLISHED: "PUBLISHED";
    }>;
    trigger: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        type: z.ZodString;
        description: z.ZodOptional<z.ZodString>;
        payload: z.ZodOptional<z.ZodObject<{
            value: z.ZodUnknown;
        }, "strip", z.ZodTypeAny, {
            value?: unknown;
        }, {
            value?: unknown;
        }>>;
        condition: z.ZodOptional<z.ZodType<Condition, z.ZodTypeDef, Condition>>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    }, {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    }>>;
    actions: z.ZodArray<z.ZodType<Action, z.ZodTypeDef, Action>, "many">;
    ownerId: z.ZodString;
    workspaceId: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodOptional<z.ZodDate>;
}, "id" | "createdAt" | "updatedAt" | "ownerId">, "strip", z.ZodTypeAny, {
    status: "DRAFT" | "UNPUBLISHED" | "PUBLISHED";
    title: string;
    trigger: {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    } | null;
    actions: Action[];
    workspaceId: string;
    description?: string | null | undefined;
}, {
    status: "DRAFT" | "UNPUBLISHED" | "PUBLISHED";
    title: string;
    trigger: {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    } | null;
    actions: Action[];
    workspaceId: string;
    description?: string | null | undefined;
}>;
export declare const createRunSchema: z.ZodObject<Omit<{
    id: z.ZodString;
    status: z.ZodNativeEnum<{
        readonly PENDING: "PENDING";
        readonly RUNNING: "RUNNING";
        readonly COMPLETED: "COMPLETED";
        readonly FAILED: "FAILED";
    }>;
    blueprintId: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodOptional<z.ZodDate>;
    completedAt: z.ZodOptional<z.ZodDate>;
    failedAt: z.ZodOptional<z.ZodDate>;
}, "id" | "createdAt" | "updatedAt" | "completedAt" | "failedAt">, "strip", z.ZodTypeAny, {
    status: "PENDING" | "RUNNING" | "COMPLETED" | "FAILED";
    blueprintId: string;
}, {
    status: "PENDING" | "RUNNING" | "COMPLETED" | "FAILED";
    blueprintId: string;
}>;
export declare const updateBlueprintSchema: z.ZodObject<{
    status: z.ZodOptional<z.ZodNativeEnum<{
        readonly DRAFT: "DRAFT";
        readonly UNPUBLISHED: "UNPUBLISHED";
        readonly PUBLISHED: "PUBLISHED";
    }>>;
    description: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    title: z.ZodOptional<z.ZodString>;
    trigger: z.ZodOptional<z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        type: z.ZodString;
        description: z.ZodOptional<z.ZodString>;
        payload: z.ZodOptional<z.ZodObject<{
            value: z.ZodUnknown;
        }, "strip", z.ZodTypeAny, {
            value?: unknown;
        }, {
            value?: unknown;
        }>>;
        condition: z.ZodOptional<z.ZodType<Condition, z.ZodTypeDef, Condition>>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    }, {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    }>>>;
    actions: z.ZodOptional<z.ZodArray<z.ZodType<Action, z.ZodTypeDef, Action>, "many">>;
    workspaceId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    status?: "DRAFT" | "UNPUBLISHED" | "PUBLISHED" | undefined;
    description?: string | null | undefined;
    title?: string | undefined;
    trigger?: {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    } | null | undefined;
    actions?: Action[] | undefined;
    workspaceId?: string | undefined;
}, {
    status?: "DRAFT" | "UNPUBLISHED" | "PUBLISHED" | undefined;
    description?: string | null | undefined;
    title?: string | undefined;
    trigger?: {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: Condition | undefined;
    } | null | undefined;
    actions?: Action[] | undefined;
    workspaceId?: string | undefined;
}>;
export declare const updateRunSchema: z.ZodObject<{
    status: z.ZodOptional<z.ZodNativeEnum<{
        readonly PENDING: "PENDING";
        readonly RUNNING: "RUNNING";
        readonly COMPLETED: "COMPLETED";
        readonly FAILED: "FAILED";
    }>>;
    createdAt: z.ZodOptional<z.ZodDate>;
    updatedAt: z.ZodOptional<z.ZodOptional<z.ZodDate>>;
    completedAt: z.ZodOptional<z.ZodOptional<z.ZodDate>>;
    failedAt: z.ZodOptional<z.ZodOptional<z.ZodDate>>;
}, "strip", z.ZodTypeAny, {
    status?: "PENDING" | "RUNNING" | "COMPLETED" | "FAILED" | undefined;
    createdAt?: Date | undefined;
    updatedAt?: Date | undefined;
    completedAt?: Date | undefined;
    failedAt?: Date | undefined;
}, {
    status?: "PENDING" | "RUNNING" | "COMPLETED" | "FAILED" | undefined;
    createdAt?: Date | undefined;
    updatedAt?: Date | undefined;
    completedAt?: Date | undefined;
    failedAt?: Date | undefined;
}>;
export declare const updatActionSchema: z.ZodObject<{
    id: z.ZodOptional<z.ZodString>;
    type: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    payload: z.ZodOptional<z.ZodOptional<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>>;
    condition: z.ZodOptional<z.ZodUnion<[z.ZodOptional<z.ZodType<Condition, z.ZodTypeDef, Condition>>, z.ZodOptional<z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodOptional<z.ZodString>;
        field: z.ZodOptional<z.ZodString>;
        operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
            readonly EQUAL: "EQUAL";
            readonly NOT_EQUAL: "NOT_EQUAL";
            readonly CONTAINS: "CONTAINS";
            readonly IS: "IS";
            readonly IS_NOT: "IS_NOT";
            readonly NOT_CONTAINS: "NOT_CONTAINS";
            readonly IS_ANY_OF: "IS_ANY_OF";
            readonly GREATER_THAN: "GREATER_THAN";
            readonly LESS_THAN: "LESS_THAN";
            readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
            readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
            readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
            readonly SET: "SET";
            readonly NOT_SET: "NOT_SET";
        }>, z.ZodLiteral<"">]>>;
        value: z.ZodOptional<z.ZodUnknown>;
        blockId: z.ZodOptional<z.ZodString>;
        actionId: z.ZodOptional<z.ZodString>;
    }, {
        and: z.ZodOptional<z.ZodLazy<z.ZodArray<z.ZodObject<{
            id: z.ZodOptional<z.ZodString>;
            field: z.ZodOptional<z.ZodString>;
            operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
                readonly EQUAL: "EQUAL";
                readonly NOT_EQUAL: "NOT_EQUAL";
                readonly CONTAINS: "CONTAINS";
                readonly IS: "IS";
                readonly IS_NOT: "IS_NOT";
                readonly NOT_CONTAINS: "NOT_CONTAINS";
                readonly IS_ANY_OF: "IS_ANY_OF";
                readonly GREATER_THAN: "GREATER_THAN";
                readonly LESS_THAN: "LESS_THAN";
                readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
                readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
                readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
                readonly SET: "SET";
                readonly NOT_SET: "NOT_SET";
            }>, z.ZodLiteral<"">]>>;
            value: z.ZodOptional<z.ZodUnknown>;
            blockId: z.ZodOptional<z.ZodString>;
            actionId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }>, "many">>>;
        or: z.ZodOptional<z.ZodLazy<z.ZodArray<z.ZodObject<{
            id: z.ZodOptional<z.ZodString>;
            field: z.ZodOptional<z.ZodString>;
            operator: z.ZodOptional<z.ZodUnion<[z.ZodNativeEnum<{
                readonly EQUAL: "EQUAL";
                readonly NOT_EQUAL: "NOT_EQUAL";
                readonly CONTAINS: "CONTAINS";
                readonly IS: "IS";
                readonly IS_NOT: "IS_NOT";
                readonly NOT_CONTAINS: "NOT_CONTAINS";
                readonly IS_ANY_OF: "IS_ANY_OF";
                readonly GREATER_THAN: "GREATER_THAN";
                readonly LESS_THAN: "LESS_THAN";
                readonly DOES_NOT_CONTAIN: "DOES_NOT_CONTAIN";
                readonly GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL";
                readonly LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL";
                readonly SET: "SET";
                readonly NOT_SET: "NOT_SET";
            }>, z.ZodLiteral<"">]>>;
            value: z.ZodOptional<z.ZodUnknown>;
            blockId: z.ZodOptional<z.ZodString>;
            actionId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }, {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }>, "many">>>;
        blockId: z.ZodString;
        actionId: z.ZodString;
        isDefault: z.ZodOptional<z.ZodBoolean>;
    }>, "strip", z.ZodTypeAny, {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }, {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }>, "many">>]>>;
    parentActionId: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    variables: z.ZodOptional<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
        refBlockId: z.ZodString;
        path: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        path: string;
        refBlockId: string;
    }, {
        path: string;
        refBlockId: string;
    }>>>>>>;
}, "strip", z.ZodTypeAny, {
    id?: string | undefined;
    type?: string | undefined;
    description?: string | undefined;
    payload?: Record<string, any> | undefined;
    condition?: Condition | {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }[] | undefined;
    parentActionId?: string | undefined;
    variables?: Record<string, Record<string, {
        path: string;
        refBlockId: string;
    }> | undefined> | undefined;
}, {
    id?: string | undefined;
    type?: string | undefined;
    description?: string | undefined;
    payload?: Record<string, any> | undefined;
    condition?: Condition | {
        blockId: string;
        actionId: string;
        id?: string | undefined;
        field?: string | undefined;
        operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
        value?: unknown;
        and?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        or?: {
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        }[] | undefined;
        isDefault?: boolean | undefined;
    }[] | undefined;
    parentActionId?: string | undefined;
    variables?: Record<string, Record<string, {
        path: string;
        refBlockId: string;
    }> | undefined> | undefined;
}>;
export declare const updateTriggerSchema: z.ZodObject<{
    id: z.ZodOptional<z.ZodString>;
    type: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    payload: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        value: z.ZodUnknown;
    }, "strip", z.ZodTypeAny, {
        value?: unknown;
    }, {
        value?: unknown;
    }>>>;
    condition: z.ZodOptional<z.ZodOptional<z.ZodType<Condition, z.ZodTypeDef, Condition>>>;
}, "strip", z.ZodTypeAny, {
    id?: string | undefined;
    type?: string | undefined;
    description?: string | undefined;
    payload?: {
        value?: unknown;
    } | undefined;
    condition?: Condition | undefined;
}, {
    id?: string | undefined;
    type?: string | undefined;
    description?: string | undefined;
    payload?: {
        value?: unknown;
    } | undefined;
    condition?: Condition | undefined;
}>;
export {};
//# sourceMappingURL=schemas.d.ts.map