import { IntegrationContext, RefinedIntegrationApi, RefinedIntegrationEvent } from '../types';
import { BlueprintWithRelations, WorkflowCondition, WorkflowConditionGroup, WorkflowParentBlock, WorkflowStatus, WorkflowTrigger, WorkflowContextWorkflowActionsShape } from './types';
import { FilterOperator } from './conditions/types';
export declare const workflowStatusColorMap: Record<WorkflowStatus, string>;
export declare const workflowStatusTextMap: Record<WorkflowStatus, string>;
export declare function extractConditions(group?: WorkflowConditionGroup): WorkflowCondition[];
export declare const getAllParentBlocks: ({ actions, actionId, trigger, }: {
    actions: WorkflowContextWorkflowActionsShape;
    actionId: string;
    trigger: WorkflowTrigger;
}) => WorkflowParentBlock[];
export declare const getOutputSchema: ({ block, payload, blockType, }: {
    block: RefinedIntegrationApi | RefinedIntegrationEvent;
    payload: {
        value?: unknown;
    } | Record<string, any>;
    blockType: "action" | "trigger";
}) => any;
export declare const getOutputSchemaServer: ({ ctx, block, payload, blockType, }: {
    ctx: IntegrationContext;
    block: RefinedIntegrationApi | RefinedIntegrationEvent;
    payload: {
        value?: unknown;
    } | Record<string, any>;
    blockType: "action" | "trigger";
}) => Promise<any>;
export declare const getSchemaServer: ({ ctx, block, payload, blockType, }: {
    ctx: IntegrationContext;
    block: RefinedIntegrationApi | RefinedIntegrationEvent;
    payload: {
        value?: unknown;
    } | Record<string, any>;
    blockType: "action" | "trigger";
}) => Promise<any>;
export declare const getSchemaClient: ({ block, payload, blockType, }: {
    block: RefinedIntegrationApi | RefinedIntegrationEvent;
    payload: {
        value?: unknown;
    } | Record<string, any>;
    blockType: "action" | "trigger";
}) => any;
export declare const filterChecks: {
    stringCheck: ({ filterField, operator, comparator, }: {
        filterField: string;
        operator: FilterOperator;
        comparator: string;
    }) => boolean;
    numberCheck: ({ filterField, operator, comparator, }: {
        filterField: number;
        operator: FilterOperator;
        comparator: number;
    }) => boolean;
    dateCheck: ({ filterField, operator, comparator, }: {
        filterField: string;
        operator: FilterOperator;
        comparator: string;
    }) => boolean;
    booleanCheck: ({ filterField, operator, comparator, }: {
        filterField: boolean;
        operator: FilterOperator;
        comparator: unknown;
    }) => boolean;
};
export declare const constructWorkflowContextBluePrint: (blueprint: BlueprintWithRelations) => {
    trigger: {
        id: string;
        type: string;
        description?: string | undefined;
        payload?: {
            value?: unknown;
        } | undefined;
        condition?: ({
            id?: string | undefined;
            field?: string | undefined;
            operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
            value?: unknown;
            blockId?: string | undefined;
            actionId?: string | undefined;
        } & {
            and?: ({
                id?: string | undefined;
                field?: string | undefined;
                operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
                value?: unknown;
                blockId?: string | undefined;
                actionId?: string | undefined;
            } & any)[];
            or?: ({
                id?: string | undefined;
                field?: string | undefined;
                operator?: "" | "EQUAL" | "NOT_EQUAL" | "CONTAINS" | "IS" | "IS_NOT" | "NOT_CONTAINS" | "IS_ANY_OF" | "GREATER_THAN" | "LESS_THAN" | "DOES_NOT_CONTAIN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN_OR_EQUAL" | "SET" | "NOT_SET" | undefined;
                value?: unknown;
                blockId?: string | undefined;
                actionId?: string | undefined;
            } & any)[];
        }) | undefined;
    } | null;
    blueprintInfo: {
        id: string;
        status: "DRAFT" | "UNPUBLISHED" | "PUBLISHED";
        title: string;
        ownerId: string;
        workspaceId: string;
        createdAt: Date;
        description?: string | null | undefined;
        updatedAt?: Date | undefined;
        runs?: import("./types").Run[];
        isLoading?: boolean;
    };
    actions: WorkflowContextWorkflowActionsShape;
};
//# sourceMappingURL=utils.d.ts.map